#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xzf SDL-1.2.14.tar.gz
    cd SDL-1.2.14
    ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
	    --disable-static --disable-esd --disable-pulseaudio \
	    --disable-arts --disable-nas --disable-video-fbcon \
	    --disable-video-directfb --disable-video-svga \
	    --disable-video-ps3 --disable-input-tslib \
	    --enable-clock_gettime
    make
    strip -R .note -R .comment build/.libs/libSDL-1.2.so.0
    mkdir -p ../libsdl12-0/lib
    cp build/.libs/libSDL-1.2.so.0 ../libsdl12-0/lib/
    cd ..
    rm -rf SDL-1.2.14
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
